#
# spec file for package rubygem-websocket-driver
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-websocket-driver
Version:        0.7.6
Release:        1.5
%define mod_name websocket-driver
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/faye/websocket-driver-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        WebSocket protocol handler with pluggable I/O
License:        Apache-2.0

%description
WebSocket protocol handler with pluggable I/O.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ### 0.7.6 / 2023-07-25
- Fix handling of default ports in `Host` headers on Ruby 3.1+
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.7.5
  see installed CHANGELOG.md
  [#]## 0.7.5 / 2021-06-12
  - Do not change the encoding of strings passed to `Driver#text`
* Tue Jun  1 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.7.4
  * Optimise conversions between strings and byte arrays and related encoding
    operations, to reduce amount of allocation and copying
* Mon Jul 13 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.7.3
  * Let the client accept HTTP responses that have an empty reason phrase
    following the `101` status code
* Wed May 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.7.2
  * Emit `ping` and `pong` events from the `Server` driver
  * Handle draft-76 handshakes correctly if the request's body is a frozen string
* Sat Jun 29 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.7.1
  * Catch any exceptions produced while generating a handshake
    response and send a `400 Bad Request` response to the client
  * Pick the RFC-6455 protocol version if the request contains any
    of the headers
    used by that version
  * Handle errors encountered while handling malformed draft-76
    requests
  * Change license from MIT to Apache 2.0
* Sun Sep 17 2017 coolo@suse.com
- updated to version 0.7.0
  see installed CHANGELOG.md
  [#]## 0.7.0 / 2017-09-11
  * Add `ping` and `pong` to the set of events users can listen to
* Wed Jan 25 2017 dkang@suse.com
- Add gem2rpm.yml
* Wed Jan 25 2017 dkang@suse.com
- update to version 0.6.5
* Sat May 21 2016 coolo@suse.com
- updated to version 0.6.4
  see installed CHANGELOG.md
  [#]## 0.6.4 / 2016-05-20
  * Amend warnings issued when running with -W2
  * Make sure message strings passed in by the app are transcoded to UTF-8
  * Copy strings if necessary for frozen-string compatibility
* Sat Nov  7 2015 coolo@suse.com
- updated to version 0.6.3
  see installed CHANGELOG.md
  [#]## 0.6.3 / 2015-11-06
  * Reject draft-76 handshakes if their Sec-WebSocket-Key headers are invalid
  * Throw a more helpful error if a client is created with an invalid URL
* Sun Jul 19 2015 coolo@suse.com
- updated to version 0.6.2
  see installed CHANGELOG.md
  [#]## 0.6.2 / 2015-07-18
  * When the peer sends a close frame with no error code, emit 1000
* Wed Jul 15 2015 coolo@suse.com
- updated to version 0.6.1
  see installed CHANGELOG.md
  [#]## 0.6.1 / 2015-07-13
  * Fix how events are stored in `EventEmitter` to fix a backward-compatibility
    violation introduced in the last release
  * Use the `Array#pack` and `String#unpack` methods for reading/writing numbers
    to buffers rather than including duplicate logic for this
* Fri Jul 10 2015 coolo@suse.com
- updated to version 0.6.0
  see installed CHANGELOG.md
  [#]## 0.6.0 / 2015-07-08
  * Use `SecureRandom` to generate the `Sec-WebSocket-Key` header
  * Allow the parser to recover cleanly if event listeners raise an error
  * Let the `on()` method take a lambda as a positional argument rather than a block
  * Add a `pong` method for sending unsolicited pong frames
* Mon Mar 30 2015 coolo@suse.com
- updated to version 0.5.4
* Mon Feb 23 2015 coolo@suse.com
- updated to version 0.5.3
* Fri Feb 20 2015 coolo@suse.com
- updated to version 0.5.2
* Fri Feb  6 2015 coolo@suse.com
- updated to version 0.5.1
  * Don't allow drivers to be created with unrecognized options
  * Support protocol extensions via the websocket-extensions module
  * Support connection via HTTP proxies using `CONNECT`
* Sun Oct 12 2014 coolo@suse.com
- updated to version 0.3.5
  * Fix bug where the `Server` driver doesn't pass `ping` callbacks to its delegate
  * Fix an arity error when calling `fail_request`
  * Allow `close` to be called before `start` to close the driver
  [#]## 0.3.4 / 2014-07-06
  * Don't hold references to frame buffers after a message has been emitted
  * Make sure that `protocol` and `version` are exposed properly by the TCP driver
  * Correct HTTP header parsing based on RFC 7230; header names cannot contain backslashes
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 0.3.3
  * Fix problems with loading C and Java native extension code
  * Correct the acceptable characters used in the HTTP parser
  * Correct the draft-76 status line reason phrase
* Thu Feb  6 2014 coolo@suse.com
- updated to version 0.3.2
  * Expand `max_length` to cover sequences of continuation frames and `draft-{75,76}`
  * Decrease default maximum frame buffer size to 64MB
  * Stop parsing when the protocol enters a failure mode, to save CPU cycles
* Wed Dec  4 2013 coolo@suse.com
- updated to version 0.3.1
  * Add a `max_length` option to limit allowed frame size
* Fri Sep 13 2013 coolo@suse.com
- updated to version 0.3.0
  * Support client URLs with Basic Auth credentials
* Tue Aug  6 2013 coolo@suse.com
- updated to version 0.2.3
  * Fix bug in EventEmitter#emit when listeners are removed
  * Fix bug in EventEmitter#listener_count for unregistered events
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.2.1
  * Queue sent messages if the client has not begun trying to connect
  * Encode all strings sent to I/O as `ASCII-8BIT`
* Tue Jun  4 2013 coolo@suse.com
- initial package
